Name: libmali-mcom02
Version: 2.5
Release: alt1

Summary: Userspace part of MCom-02 Mali-300 GPU driver
License: ARM
Group: System/Libraries
ExclusiveArch: armh

Source: %name-%version.tar
URL: http://www.multicore.ru

%description
Userspace part of MCom-02 Mali-300 GPU driver that provides acceleration for
OpenGL ES v1.1/2.0 applications

BuildRequires(pre): libX11 libdrm libXfixes libXext libump-mcom02
Conflicts: libEGL libGLES

%brp_strip_none %_libdir/*
%filter_from_provides s/^\(lib.*Mali.*\.so\)\((.*\)\? = \(.*\)/\1 libEGL.so libEGL.so.1 = \3 libGLESv2.so libGLESv2.so.2 = \3 libGLESv1_CM.so libGLESv1_CM.so.1 = \3/

%package devel
Summary: Development files for libmali-mcom02
Group: Development/C
Requires: libmali-mcom02 = %version-%release
Conflicts: libEGL-devel libGLES-devel

%description devel
libmali-mcom02-devel contains the header files needed to develop programs
which make use of libmali-mcom02

%prep
%setup

%install
%makeinstall_std

mkdir -p %buildroot%_libdir/X11
mkdir -p %buildroot/etc/X11/lib

ln -rs %buildroot%_libdir/libEGL.so.1.4 %buildroot/etc/X11/lib/libEGL.so.1
ln -rs %buildroot%_libdir/libEGL.so.1.4 %buildroot%_libdir/X11/libEGL.so.1
ln -rs %buildroot%_libdir/libGLESv2.so.2.0 %buildroot/etc/X11/lib/libGLESv2.so.2
ln -rs %buildroot%_libdir/libGLESv2.so.2.0 %buildroot%_libdir/X11/libGLESv2.so.2
ln -rs %buildroot%_libdir/libGLESv1_CM.so.1.1 %buildroot/etc/X11/lib/libGLESv1_CM.so.1
ln -rs %buildroot%_libdir/libGLESv1_CM.so.1.1 %buildroot%_libdir/X11/libGLESv1_CM.so.1

%files
%_libdir/lib*
%_libdir/X11/lib*
/etc/X11/lib/lib*

%files devel
%_includedir/EGL
%_includedir/KHR
%_includedir/GLES
%_includedir/GLES2
%_libdir/pkgconfig/*.pc

%changelog
* Thu Nov 01 2018 RnD Center ELVEES <rnd_elvees@altlinux.org> 2.5-alt1
Initial build for ALT
